# course.py

This is a simple game, that I wrote when I was 10-to-12 year old, using Basic on a [TO7/70](https://en.wikipedia.org/wiki/Thomson_TO7).

This version has been ported to the [Pygame](http://www.pygame.org/) framework. As I still like to play with this game sometimes, I quickly added some features, most notably the 3D view, some help, and the final animation.

Keys when the game launches:
* `ESC`: quit
* `+`: bigger maze
* `−`: smaller maze
* anything else: start playing

Keys while playing:
* `ESC`: quit
* `H`: switch between 2D and 3D (the 2D view has become the “help” view)
* `↑`: go 1 step forward
* `↓`: go 1 step backward
* `←`: turn to the left
* `→`: turn to the right
* `0` to `9` on the keypad: set how long the “foot-steps” remain visible (0 by default)
* `−` or `+` on the keypad: lower or raise the above setting by a value of 5 (relative change)
* `*` on the keypad: set a pre-defined value to the visibility of the “foot-steps”

